import 'package:flutter/material.dart';

class ContainerUi extends StatefulWidget {
  final double? height;
  final double? weight;
  final Color? color;
  final String? title;
  final String? subTitle;
  final Color? titleColor;
  final Color? SubTileColor;

  ContainerUi({
    this.height,
    this.weight,
    this.color,
    this.title,
    this.subTitle,
    this.titleColor,
    this.SubTileColor,
  });

  static String tag = '/ContainerUi';

  @override
  ContainerUiState createState() => ContainerUiState();
}

class ContainerUiState extends State<ContainerUi> {
  @override
  void initState() {
    super.initState();
    init();
  }

  Future<void> init() async {
    //
  }

  @override
  void setState(fn) {
    if (mounted) super.setState(fn);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.weight ?? MediaQuery.of(context).size.width * 0.9,
      height: widget.height ?? 300,
      child: Column(
        children: [
          Text(
            widget.title ?? '',
            style: TextStyle(
              color: widget.titleColor ?? Colors.grey,
              fontWeight: FontWeight.bold,
            ),
          ),
          SizedBox(height: 16),
          Text(
            widget.subTitle ?? '',
            style: TextStyle(
              color: widget.SubTileColor ?? Colors.grey,
              fontWeight: FontWeight.normal,
            ),
          ),
        ],
      ),
      decoration: BoxDecoration(
        color: widget.color ?? Colors.greenAccent,
        borderRadius: BorderRadius.circular(20),
      ),
    );
  }
}
